Fix build for OpenSSL 3.0.0

https://bugs.exim.org/2810
https://github.com/Exim/exim/commit/ff7829398d74e67f1c1f40339a772fd76708e5ac
--- src/tls-openssl.c.orig	2021-04-30 07:08:21.000000000 -0500
+++ src/tls-openssl.c	2024-12-23 00:51:55.000000000 -0600
@@ -227,10 +227,14 @@
   { US"no_tlsv1", SSL_OP_NO_TLSv1 },
 #endif
 #ifdef SSL_OP_NO_TLSv1_1
+#if OPENSSL_VERSION_NUMBER < 0x30000000L
 #if SSL_OP_NO_TLSv1_1 == 0x00000400L
   /* Error in chosen value in 1.0.1a; see first item in CHANGES for 1.0.1b */
 #warning OpenSSL 1.0.1a uses a bad value for SSL_OP_NO_TLSv1_1, ignoring
-#else
+#define NO_SSL_OP_NO_TLSv1_1
+#endif
+#endif
+#ifndef NO_SSL_OP_NO_TLSv1_1
   { US"no_tlsv1_1", SSL_OP_NO_TLSv1_1 },
 #endif
 #endif
